Bug 182614 - can't chroot to FC4 install from FC devel install with kernel-xen-hypervisor
can't chroot to FC4 install from FC devel install with kernel-xen-hypervisor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
Brian Brock
:
Depends On:
Blocks: 179599
  Show dependency treegraph
 
Reported: 2006-02-23 12:46 EST by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 15:15:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-02-23 12:46:03 EST
Description of problem:
I have FC4 and FC development installed on the affected boxes, with separate
/boot partitions that I use to choose which one to boot into.  The root
filesystem of each one is mountable on the other, such that I can install
updates on both without having to reboot into each of the systems (selinux=0).

The last time this worked was on 20060221, running rawhide from 20060220.  From
the next day on, running rawhide from 20060221, chrooting to the FC4 install
would simply segfault, while running kernel-xen-hypervisor.  If I boot into the
non-xen kernel, chroot works just fine.

This affects all of the boxes on which I've been trying Xen (same as those
affected by bug 182608).

Version-Release number of selected component (if applicable):
xen-3.0.1-0.20060208.fc5.2
kernel-xen-hypervisor-2.6.15-1.1975_FC5.i686

How reproducible:
Every time

Steps to Reproduce:
1.Boot into Fedora devel
2.Mount the root filesystem of an FC4 install
3.chroot to it
  
Actual results:
Segmentation fault

Expected results:
A shell with the FC4 install as root

Additional info:
Comment 1 Alexandre Oliva 2006-02-23 12:51:11 EST
I've just realized that, before installing the 20060221 updates, I was *not*
running the Xen kernel.  I'd modified grub to boot into the non-Xen kernel, but
I had not modified /etc/sysconfig/kernel, so when I updated the kernel, it
switched to the Xen kernel by default.  So this was not quite a Xen regression,
just a regular Xen bug.
Comment 2 Stephen Tweedie 2006-02-24 15:39:50 EST
Can you strace the chroot and see exactly where it's SEGVing, please?
Comment 3 Alexandre Oliva 2006-03-01 15:15:37 EST
It doesn't crash any more after the latest xen update.

Note You need to log in before you can comment on or make changes to this bug.